package com.hz.pm.api.projectdeclared.model.dto;

import com.hz.pm.api.projectdeclared.utils.BeanDiffUtil.FieldDiff;
import com.hz.pm.api.projectlib.model.dto.ProjectDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * ProjectDetailDTO
 * </p>
 *
 * @author WendyYang
 * @since 19:53 2024/8/5
 */
@Data
public class ProjectEditDTO implements Serializable {

    private static final long serialVersionUID = 7066112975653039072L;

    @ApiModelProperty("项目信息")
    private ProjectDTO project;

    private List<FieldDiff> projectDiffs;

    private List<PurchaseEditDTO> purchases;

}
